> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trypekto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse design templates

> List available Pekto presentation, pitch deck, and carousel templates. Supports filtering by category (presentation, pitch_deck, business, carousel, education), search keywords (e.g. startup, qbr, minimal), and trending status.



## OpenAPI

````yaml /openapi.json get /templates
openapi: 3.1.0
info:
  title: Pekto Developer API
  version: 1.0.0
  description: >-
    Generate editable presentations and LinkedIn/Instagram carousels, read and
    edit projects, browse templates and brand kits, and schedule social posts.
servers:
  - url: https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1
    description: Production Pekto Developer API
security:
  - bearerAuth: []
paths:
  /templates:
    get:
      summary: Browse design templates
      description: >-
        List available Pekto presentation, pitch deck, and carousel templates.
        Supports filtering by category (presentation, pitch_deck, business,
        carousel, education), search keywords (e.g. startup, qbr, minimal), and
        trending status.
      operationId: listTemplates
      parameters:
        - name: category
          in: query
          schema:
            type: string
          description: >-
            Filter by template category (e.g. presentation, pitch_deck,
            business, carousel, education, technology, marketing)
        - name: search
          in: query
          schema:
            type: string
          description: >-
            Search term for template name or style (e.g. startup, minimal, qbr,
            board meeting)
        - name: is_trending
          in: query
          schema:
            type: boolean
          description: Filter only trending templates when true
        - name: limit
          in: query
          schema:
            type: integer
            default: 50
          description: Max templates to return
      responses:
        '200':
          description: Array of templates
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Pekto API key (pekto_live_...), an OAuth 2.1 access token from Pekto
        sign-in (used by MCP clients), or a Pekto user session token.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.